# Employee Data

{% hint style="info" %}
The Employee Data model is delivered on: **Creation, Amendment or Removal**

`eventNotificationGroupId`: **500**

`eventNotificationTypeId`: 500 or 501 or 502 (Create, Amend or Cancel)
{% endhint %}

```javascript
{
    "eventNotificationCompanyIdentifier": "b6589fc6ab",
    "eventNotificationCompanyName": "North Shore Seaplanes",
    "eventNotificationDateTime": "2021-02-04 12:57:57",
    "eventNotificationGroupId": "500",
    "eventNotificationId": "5",
    "eventNotificationIpAddress": "66.183.253.14",
    "eventNotificationName": "employee create",
    "eventNotificationSystem": "support",
    "eventNotificationType": "Employee Creation",
    "eventNotificationTypeId": "500",
    "eventData": {
        "employee": {
            "accountId": "1",
            "accountName": "North Shore Group",
            "addressLine1": "Suite 423 119 W Pender",
            "addressLine2": {},
            "birthDate": "N/A",
            "city": "Vancouver",
            "country": "Canada",
            "department": "Marketing",
            "email": "steve@northshore.com",
            "employeeId": "604",
            "employeeType": "Marketing",
            "fax": "604-123-1234",
            "firstName": "Steve",
            "homePhone": "604-123-1234",
            "lastName": "Austin",
            "mobilePhone": "604-123-1234",
            "officePhone": "604-123-1234",
            "state": "British Columbia",
            "title": "Head Of Marketing",
            "username": "steve",
            "zipCode": "V6B1S5"
        }
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaui.com/webhooks/event-data-payloads/employee-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
